Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.listeners
Class BroadcastSchedulerListener

    java.lang.Object
      org.quartz.listeners.BroadcastSchedulerListener

All Implemented Interfaces:
  SchedulerListener

    public class BroadcastSchedulerListener

extends Object
implements SchedulerListener

Holds a List of references to SchedulerListener instances and broadcasts all events to them (in order).

This may be more convenient than registering all of the listeners directly with the Scheduler, and provides the flexibility of easily changing which listeners get notified.

Author:
  James House (jhouse AT revolition DOT net)
See Also:
  `addListener(org.quartz.SchedulerListener)`, `removeListener(org.quartz.SchedulerListener)`

Constructor Summary
`BroadcastSchedulerListener()`
`BroadcastSchedulerListener(List listeners)` Construct an instance with the given List of listeners.

Method Summary
`void` | `addListener(SchedulerListener listener)`
`List` | `getListeners()`
`void` | `jobAdded(JobDetail jobDetail)` Called by the ``Scheduler`` when a ``JobDetail`` has been added.
`void` | `jobDeleted(String jobName, String groupName)` Called by the ``Scheduler`` when a ``JobDetail`` has been deleted.
`void` | `jobScheduled(Trigger trigger)` Called by the ``Scheduler`` when a ``JobDetail`` is scheduled.
`void` | `jobsPaused(String jobName, String jobGroup)` Called by the ``Scheduler`` when a ``JobDetail`` or group of ``JobDetail`s` has been paused.
`void` | `jobsResumed(String jobName, String jobGroup)` Called by the ``Scheduler`` when a ``JobDetail`` or group of ``JobDetail`s` has been un-paused.
`void` | `jobUnscheduled(String triggerName, String triggerGroup)` Called by the ``Scheduler`` when a ``JobDetail`` is unscheduled.
`boolean` | `removeListener(SchedulerListener listener)`
`void` | `schedulerError(String msg, SchedulerException cause)` Called by the ``Scheduler`` when a serious error has occurred within the scheduler - such as repeated failures in the `JobStore`, or the inability to instantiate a `Job` instance when its `Trigger` has fired.
`void` | `schedulerInStandbyMode()` Called by the ``Scheduler`` to inform the listener that it has move to standby mode.
`void` | `schedulerShutdown()` Called by the ``Scheduler`` to inform the listener that it has shutdown.
`void` | `schedulerShuttingdown()` Called by the ``Scheduler`` to inform the listener that it has begun the shutdown process.
`void` | `schedulerStarted()` Called by the ``Scheduler`` to inform the listener that it has started.
`void` | `triggerFinalized(Trigger trigger)` Called by the ``Scheduler`` when a ``Trigger`` has reached the condition in which it will never fire again.
`void` | `triggersPaused(String triggerName, String triggerGroup)` Called by the ``Scheduler`` when a ``Trigger`` or group of ``Trigger`s` has been paused.
`void` | `triggersResumed(String triggerName, String triggerGroup)` Called by the ``Scheduler`` when a ``Trigger`` or group of ``Trigger`s` has been un-paused.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BroadcastSchedulerListener

    public BroadcastSchedulerListener()

### BroadcastSchedulerListener

    public BroadcastSchedulerListener(List listeners)

  Construct an instance with the given List of listeners.

  Parameters:
    `listeners` - the initial List of SchedulerListeners to broadcast to.

Method Detail

### addListener

    public void addListener(SchedulerListener listener)

### removeListener

    public boolean removeListener(SchedulerListener listener)

### getListeners

    public List getListeners()

### jobAdded

    public void jobAdded(JobDetail jobDetail)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` has been added.

  Specified by:
    `jobAdded` in interface `SchedulerListener`

### jobDeleted

    public void jobDeleted(String jobName,
                           String groupName)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` has been deleted.

  Specified by:
    `jobDeleted` in interface `SchedulerListener`

### jobScheduled

    public void jobScheduled(Trigger trigger)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` is scheduled.

  Specified by:
    `jobScheduled` in interface `SchedulerListener`

### jobUnscheduled

    public void jobUnscheduled(String triggerName,
                               String triggerGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` is unscheduled.

  Specified by:
    `jobUnscheduled` in interface `SchedulerListener`

### triggerFinalized

    public void triggerFinalized(Trigger trigger)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``Trigger`` has reached the condition in which it will never fire again.

  Specified by:
    `triggerFinalized` in interface `SchedulerListener`

### triggersPaused

    public void triggersPaused(String triggerName,
                               String triggerGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``Trigger`` or group of ``Trigger`s` has been paused.

  If a group was paused, then the `triggerName` parameter will be null.

  Specified by:
    `triggersPaused` in interface `SchedulerListener`

### triggersResumed

    public void triggersResumed(String triggerName,
                                String triggerGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``Trigger`` or group of ``Trigger`s` has been un-paused.

  If a group was resumed, then the `triggerName` parameter will be null.

  Specified by:
    `triggersResumed` in interface `SchedulerListener`

### jobsPaused

    public void jobsPaused(String jobName,
                           String jobGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` or group of ``JobDetail`s` has been paused.

  If a group was paused, then the `jobName` parameter will be null. If all jobs were paused, then both parameters will be null.

  Specified by:
    `jobsPaused` in interface `SchedulerListener`

### jobsResumed

    public void jobsResumed(String jobName,
                            String jobGroup)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a ``JobDetail`` or group of ``JobDetail`s` has been un-paused.

  If a group was resumed, then the `jobName` parameter will be null. If all jobs were paused, then both parameters will be null.

  Specified by:
    `jobsResumed` in interface `SchedulerListener`

### schedulerError

    public void schedulerError(String msg,
                               SchedulerException cause)

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` when a serious error has occurred within the scheduler - such as repeated failures in the `JobStore`, or the inability to instantiate a `Job` instance when its `Trigger` has fired.

  The `getErrorCode()` method of the given SchedulerException can be used to determine more specific information about the type of error that was encountered.

  Specified by:
    `schedulerError` in interface `SchedulerListener`

### schedulerStarted

    public void schedulerStarted()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has started.

  Specified by:
    `schedulerStarted` in interface `SchedulerListener`

### schedulerInStandbyMode

    public void schedulerInStandbyMode()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has move to standby mode.

  Specified by:
    `schedulerInStandbyMode` in interface `SchedulerListener`

### schedulerShutdown

    public void schedulerShutdown()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has shutdown.

  Specified by:
    `schedulerShutdown` in interface `SchedulerListener`

### schedulerShuttingdown

    public void schedulerShuttingdown()

  Description copied from interface: `SchedulerListener`

  Called by the ``Scheduler`` to inform the listener that it has begun the shutdown process.

  Specified by:
    `schedulerShuttingdown` in interface `SchedulerListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.